/*-*-mode:c-*-
***************************************************************************
                         CSN381: Project 2, problem 3a
             http://homepage.mac.com/hteric/Project2.pdf
***************************************************************************

         File : prime1.c
       Author : Jeremy Russell
         Date : September 23, 2002

  Description : Project 2, 3a


***************************************************************************/
#include <stdio.h>

int primeCheck ( int, int *, int);

int main ( void )
{
	int primes[400] = {2}, len = 1;
	int i, j, k, m;

	for ( i = 3; i <= 1000; i++)
	{
		if (ckprime( i, primes, len))
		{
			printf ("%d\n", i);
			primes[len] = i;
			len++;
		}
	}

	return 0;
}

/***************************************************************************

     Function : ckprime
       Author : Jeremy Russell
         Date : September 23, 2002

  Description : Returns true for any prime numbers found.

    Arguments : int num, int *prime, int primeLen
      Returns : int
        Notes : None
     See Also : None

***************************************************************************/
int ckprime ( int num, int *prime, int primeLen )
{
	int c;
	for ( c = 0; c < primeLen; c++)
	{
		if ( ! (num % prime[c]))
		{
			return 0;
		}
	}

	return 1;
}